from parallels.core.utils.entity import Entity


class ApsFilterItem(Entity):
    def __init__(self, filter_id, name, value):
        self._filter_id = filter_id
        self._name = name
        self._value = value

    @property
    def filter_id(self):
        """
        :rtype: str | unicode
        """
        return self._filter_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def value(self):
        """
        :rtype: str | unicode
        """
        return self._value
